Summary:	The Insidious Big Brother Database
Name:		bbdb
Version:	3.2.2b
Release:	%mkrel 2
License:	GPLv2
Group:		Editors
URL:		https://savannah.nongnu.org/projects/bbdb/
Source:		https://git.savannah.nongnu.org/cgit/bbdb.git/snapshot/%name-%version.tar.gz
Source1:	emacs-bbdb.metainfo.xml
BuildArch:	noarch

BuildRequires:	emacs
BuildRequires:	texinfo
BuildRequires:	texinfo-tex

%define lispdir	%{_datadir}/emacs/site-lisp/bbdb
%define texdir	%{_datadir}/texmf/tex/plain/bbdb

%description
BBDB is a rolodex-like database program for GNU Emacs which is tightly
integrated with the Emacs mail and news readers (Gnus, MH-E, and
RMAIL.)

%prep
%autosetup -p1

perl -pi -e 's:^#!/usr/local/bin/perl5?:#!/usr/bin/perl:' utils/*.pl

%build
./autogen.sh
%configure
make
make info

%install
install -d %{buildroot}%{lispdir}
install -m 644 lisp/bbdb*.el %{buildroot}%{lispdir}
install -m 644 lisp/bbdb*.elc %{buildroot}%{lispdir}

install -d %{buildroot}%{_infodir}
install -m 644 doc/bbdb.info* %{buildroot}%{_infodir}

install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
cat << EOF > %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}-init.el
(add-to-list 'load-path "%{lispdir}")

;(require 'bbdb)

; Since the syntax-checking of phone numbers only works with American
; phone numbers the syntax-checking is disabled by default.
(setq bbdb-north-american-phone-numbers-p nil)

; Set the coding system in order to prevent problems with non-ASCII
; characters.  The available coding systems can be displayed with
; (list-coding-systems).
;(modify-coding-system-alist 'file "\\.bbdb" 'emacs-mule)

;(bbdb-initialize 'gnus 'mh-e 'rmail 'sendmail 'message 'sc 'w3)
EOF

%post
if [ -x %{_bindir}/texhash -a -e %{_datadir}/texmf/ls-R ]; then
	%{_bindir}/texhash
fi

%files
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}-init.el
%{lispdir}/*
%doc %{_infodir}/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.2.2b-2.mga10
+ Revision: 2216573
- Mageia 10 Mass Rebuild

* Sun Nov 27 2022 daviddavid <daviddavid> 3.2.2b-1.mga9
+ Revision: 1911731
- new version: 3.2.2b
- update Source Url and Url

* Tue Mar 29 2022 umeabot <umeabot> 3.2-2.mga9
+ Revision: 1831561
- Mageia 9 Mass Rebuild

* Sat Oct 31 2020 joequant <joequant> 3.2-1.mga8
+ Revision: 1640837
- update

* Wed Aug 19 2020 ovitters <ovitters> 2.36-12.mga8
+ Revision: 1615987
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Mon Feb 24 2020 daviddavid <daviddavid> 2.36-11.mga8
+ Revision: 1549762
- add patch to fix build with texinfo 6.7
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.36-10.mga7
+ Revision: 1260780
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.36-9.mga7
+ Revision: 1260190
- Mageia 7 Mass Rebuild

* Fri Feb 26 2016 luigiwalser <luigiwalser> 2.36-8.mga6
+ Revision: 979706
- remove BR xemacs

* Wed Feb 03 2016 umeabot <umeabot> 2.36-7.mga6
+ Revision: 933145
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.36-6.mga5
+ Revision: 747488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.36-5.mga5
+ Revision: 678125
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.36-4.mga4
+ Revision: 503052
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.36-3.mga3
+ Revision: 346878
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 sander85 <sander85> 2.36-2.mga3
+ Revision: 275360
- Add back BR for xemacs which is now in the repos
- Add patch from NetBSD to fix build

* Tue Sep 06 2011 tv <tv> 2.36-1.mga2
+ Revision: 139249
- new release

* Wed Feb 16 2011 blino <blino> 2.35-7.mga1
+ Revision: 52140
- do not buildrequire xemacs for now
- imported package bbdb


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.35-6mdv2011.0
+ Revision: 616713
- the mass rebuild of 2010.0 packages

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 2.35-5mdv2010.0
+ Revision: 424021
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.35-4mdv2009.0
+ Revision: 243169
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 2.35-2mdv2008.1
+ Revision: 135828
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import bbdb


* Mon Jul 31 2006 Lenny Cartier <lenny@mandriva.com> 2.35-2mdv2007.0
- rebuild

* Wed Apr 20 2005 Lenny Cartier <lenny@mandriva.com> 2.35-1mdk
- 2.35

* Tue Jan 27 2004 Juan Quintela <quintela@anano> 2.34-6mdk
- rebuild.

* Wed Oct 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.34-5mdk
- do not use %%make macro

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.34-4mdk
- rebuild

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.34-3mdk
- adjust buildrequires
- fix previous changelog

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.34-2mdk
- rebuild

* Sun May 12 2002 Yves Duret <yduret@mandrakesoft.com> 2.34-1mdk
- version 2.34

* Sat Aug 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.32-1mdk
- updated by Andreas Voegele <voegelas@users.sourceforge.net> 
	- new upstream version
	- set BuildArch to noarch
	- moved Lisp files into sub directory
	- added init script
	- fixed perl scripts
	- put TeX files into /usr/share/texmf/tex/plain/bbdb
	- /usr/bin/texhash is called in the post-installation script
	- the syntax-checking of phone numbers is disabled by default

* Wed Jun 27 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-6mdk
- rebuild

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.00.06-5mdk
- Fix BuildRequires

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-4mdk
- fix url
- add install-info

* Tue Aug 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-3mdk
- macros
- BM

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-2mdk
- fix group
- fix sources permission

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.00.06-1mdk
- mandrake build
- v2.00.06
- updated the filelist 
